View Issue Details

IDProjectCategoryView StatusLast Update
0001569VariiSpace[All Projects] Generalpublic2016-08-28 18:44
ReporterXenostomAssigned ToXenos 
PrioritynormalSeverityfeatureReproducibilityN/A
Status CloseResolutionfixed 
Product Version1.0.0-a.0 
Target VersionFixed in Version0.1.0 
Summary0001569: Meilleure architecture pour l'ensemble du projet
DescriptionL'architecture actuelle est moisie, il faut que j'améliore cela:
• Les requêtes SQL sont à passer en PROCEDURE, avec plusieurs resultSet de plusieurs rowSet, ce qui permet de ne pas avoir des aller-retours avec le serveur SQL Fait
• Les sorties des contrôleurs sont à faire en XML
• Ces sorties doivent alors passer dans un XSL pour être mises en forme
• Ces XSL doivent être abstraits pour ne pas avoir de mauvaises redites de code partout
TagsNo tags attached.
Attach Tags

Relationships

child of 0001502 AcceptedXenos Donner des propriétés aux modules 

Activities

Xenostom

Xenostom

2016-06-17 18:00

developer   ~0002002

Base XML/XSL ok, mais il faut les refactorer proprement, et il faut générer le XML de façon plus élégante que ma daube actuelle (mais ça, ce sera après avoir mergé avec mes autres modifs genre envoyer les vaisseaux en vol...)
Xenostom

Xenostom

2016-06-21 19:01

developer   ~0002006

Last edited: 2016-08-27 19:40

Je pense que je devrais me diriger vers une archi avec 1 procédure SQL par page (grosso modo; en fait, 1 par action, et une action c'est soit créer / modifier des données, soit récupérer un lot de données d'un coup, genre les données pour la vue des OC).

Et il me faudra surement classer mes sql/procedure dans des sous-dossiers (mêmes noms que les handlers par exemple)
Xenos

Xenos

2016-07-15 15:08

administrator   ~0002087

Last edited: 2016-08-27 19:40

L'archi est définie, mais il me reste à passer les requestHandlers actuel dans leur nouvelle version, et à mettre au propre les XSL qui sont actuellement immondes.

Note que j'ai un temps de réponse de moins de 100ms, dont 90% du temps passé dans le PHP (ce qui sera donc réduit lors du passage à PHP7).
Xenos

Xenos

2016-08-28 18:44

administrator   ~0002191

J'ai lâché les XSL finalement au profit de templates en PHP. C'est bien plus véloce (la page d'accueil demandait 2 à 3 secondes pour générer le XML et 1 seconde de plus pour le transformer via XSL), et je peux surtout bénéficier de l'auto-complétion (ce que je n'avais pas avant en XSL car NetBeans ne savait pas faire le lien entre un XSL et une XSD/un XML d'exemple).

Donc, PHP pour la vue aussi, tant pis (cela m'oblige à me taper les échappements à la main...)

Issue History

Date Modified Username Field Change
2016-06-17 17:54 Xenostom New Issue
2016-06-17 17:54 Xenostom Status New => Understood
2016-06-17 17:55 Xenostom Assigned To => Xenostom
2016-06-17 17:55 Xenostom Status Understood => In progress
2016-06-17 18:01 Xenostom Note Added: 0002002
2016-06-17 18:01 Xenostom Status In progress => Accepted
2016-06-21 18:03 Xenostom Status Accepted => In progress
2016-06-21 19:01 Xenostom Note Added: 0002006
2016-06-21 19:01 Xenostom Description Updated View Revisions
2016-07-15 15:08 Xenos Note Added: 0002087
2016-07-15 15:08 Xenos Status In progress => Accepted
2016-07-15 15:08 Xenos Relationship added child of 0001502
2016-08-27 19:39 AutoUpdater Assigned To Xenostom => Xenos
2016-08-27 19:39 AutoUpdater Status Accepted => Resolved
2016-08-27 19:39 AutoUpdater Resolution open => fixed
2016-08-27 19:40 AutoUpdater Fixed in Version => 0.1.0
2016-08-28 18:44 Xenos Note Added: 0002191
2016-08-28 18:44 Xenos Status Resolved => Close